Debian Bug report logs - #518087
Removing libesd-alsa0 removes entire GNOME

version graph

Package: libesd-alsa0; Maintainer for libesd-alsa0 is (unknown);

Reported by: Kushal Koolwal <kushalkoolwal@hotmail.com>

Date: Wed, 4 Mar 2009 00:57:02 UTC

Severity: normal

Found in version esound/0.2.36-3

Done: Deng Xiyue <manphiz-guest@users.alioth.debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, kushalkoolwal@hotmail.com, Josselin Mouette <joss@debian.org>:
Bug#518087; Package libesd-alsa0. (Wed, 04 Mar 2009 00:57:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Kushal Koolwal <kushalkoolwal@hotmail.com>:
New Bug report received and forwarded. Copy sent to kushalkoolwal@hotmail.com, Josselin Mouette <joss@debian.org>. (Wed, 04 Mar 2009 00:57:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Kushal Koolwal <kushalkoolwal@hotmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Removing libesd-alsa0 removes entire GNOME
Date: Tue, 03 Mar 2009 16:56:05 -0800
Package: libesd-alsa0
Version: 0.2.36-3
Severity: normal

Installed libesd-alsa0 package so that I can use XMMS2 along with GNOME sounds.

Now when I try to remove libesd-alsa0 package, apt-get tries to uninstall the 
entire GNOME. Please see the output below:

debian:/home/user# apt-get purge libesd-alsa0
Reading package lists... Done
Building dependency tree       
Reading state information... Done
The following packages were automatically installed and are no longer required:
  libenchant1c2a libmalaga7 iso-codes python-gtksourceview2
  libsensors-applet-plugin0 gedit-common libgnomeprint2.2-data
  libgtksourceview2.0-common libgtksourceview2.0-0 libxtst6 libvoikko1
  libgnomeprint2.2-0 libgnomeprintui2.2-0 libaspell15
  libgnomeprintui2.2-common libgnomecups1.0-1
Use 'apt-get autoremove' to remove them.
The following packages will be REMOVED:
  alacarte* eog* esound* gedit* gnome-about* gnome-applets*
  gnome-control-center* gnome-core* gnome-media* gnome-mount* gnome-panel*
  gnome-session* gnome-settings-daemon* gnome-terminal* gnome-utils*
  gnome-volume-manager* libbonoboui2-0* libebook1.2-9* libecal1.2-7*
  libedataserverui1.2-8* libeel2-2.20* libesd-alsa0* libgnome-desktop-2*
  libgnome-media0* libgnome-window-settings1* libgnome2-0* libgnomeui-0*
  libpanel-applet2-0* libslab0* nautilus* python-gnome2* sensors-applet* vino*
  yelp*
0 upgraded, 0 newly installed, 34 to remove and 0 not upgraded.
After this operation, 49.1MB disk space will be freed.
Do you want to continue [Y/n]? 


-- System Information:
Debian Release: 5.0
  APT prefers stable
  APT policy: (500, 'stable')
Architecture: i386 (i686)

Kernel: Linux 2.6.28-versalogic-intelm (PREEMPT)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages libesd-alsa0 depends on:
ii  esound-common                 0.2.36-3   Enlightened Sound Daemon - Common 
ii  libasound2                    1.0.16-2   ALSA library
ii  libaudiofile0                 0.2.6-7    Open-source version of SGI's audio
ii  libc6                         2.7-18     GNU C Library: Shared libraries

Versions of packages libesd-alsa0 recommends:
pn  esound-clients                <none>     (no description available)

Versions of packages libesd-alsa0 suggests:
ii  esound                        0.2.36-3   Enlightened Sound Daemon - Support

-- no debconf information




Reply sent to Deng Xiyue <manphiz-guest@users.alioth.debian.org>:
You have taken responsibility. (Wed, 04 Mar 2009 02:21:03 GMT) Full text and rfc822 format available.

Notification sent to Kushal Koolwal <kushalkoolwal@hotmail.com>:
Bug acknowledged by developer. (Wed, 04 Mar 2009 02:21:04 GMT) Full text and rfc822 format available.

Message #10 received at 518087-done@bugs.debian.org (full text, mbox):

From: Deng Xiyue <manphiz-guest@users.alioth.debian.org>
To: Kushal Koolwal <kushalkoolwal@hotmail.com>
Cc: 518087-done@bugs.debian.org
Subject: Re: Bug#518087: Removing libesd-alsa0 removes entire GNOME
Date: Wed, 04 Mar 2009 10:18:20 +0800
Kushal Koolwal <kushalkoolwal@hotmail.com> writes:

> Package: libesd-alsa0
> Version: 0.2.36-3
> Severity: normal
>
> Installed libesd-alsa0 package so that I can use XMMS2 along with GNOME sounds.
>
> Now when I try to remove libesd-alsa0 package, apt-get tries to uninstall the 
> entire GNOME. Please see the output below:
>

Of course it will uninstall the entire GNOME, as several core GNOME libs
depends on libesd0 | libesd-alsa0, such as libgnome2-0.  You might not
noticed that when you installed libesd-alsa0 libesd0 was uninstalled
because libesd-alsa0 conflicts/replaces libesd0 (where libesd0 was
selected by default when installing GNOME).  Check the output of
`apt-cache rdepends libesd-alsa0` to get a clearer idea.




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 01 Apr 2009 07:34:54 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 21:57:27 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.